# Generated by Django 3.0.7 on 2020-09-19 08:25

from decimal import Decimal
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('fxtm', '0009_auto_20200919_0751'),
    ]

    operations = [
        migrations.CreateModel(
            name='LoanTransaction',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=50, null=True)),
                ('loan_type', models.BooleanField(default=False)),
                ('amount', models.DecimalField(decimal_places=2, max_digits=20, validators=[django.core.validators.MinValueValidator(Decimal('0.01'))])),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='loantaken',
            name='loan',
        ),
        migrations.RemoveField(
            model_name='loan',
            name='taken',
        ),
        migrations.AlterField(
            model_name='exrequest',
            name='name',
            field=models.CharField(default='2020-09-19T08:25:43.667702', max_length=30),
        ),
        migrations.DeleteModel(
            name='LoanPaid',
        ),
        migrations.DeleteModel(
            name='LoanTaken',
        ),
        migrations.AddField(
            model_name='loantransaction',
            name='loan',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='fxtm.Loan'),
        ),
    ]
